Bug 461142 - PEAR.php does not pass STRICT mode php checking
PEAR.php does not pass STRICT mode php checking
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: php-pear (Show other bugs)
5.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Joe Orton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-04 11:12 EDT by Sam Sharpe
Modified: 2013-04-12 15:52 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-27 09:47:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sam Sharpe 2008-09-04 11:12:32 EDT
Description of problem:

PEAR.php prints warnings when E_STRICT error reporting is enabled.

Version-Release number of selected component (if applicable):

[sam@machine ~]$ rpm -qi php-pear
Name        : php-pear                     Relocations: (not relocatable)
Version     : 1.4.9                             Vendor: Red Hat, Inc.
Release     : 4.el5.1                       Build Date: Thu 04 Oct 2007 12:24:00 BST

How reproducible:

When including /usr/share/pear/PEAR.php and having the E_STRICT error reporting bit set in PHP, the following errors are observed:

*Strict Standards*: Assigning the return value of new by reference is deprecated in */usr/share/pear/PEAR.php* on line *563*

*Strict Standards*: Assigning the return value of new by reference is deprecated in */usr/share/pear/PEAR.php* on line *566

This makes it impossible to enable E_STRICT error reporting on websites that use PEAR as they will always print a warning.
  
Expected results:

No errors

Additional info:

This bug doesn't exist in latest upstream. Was fixed in this revision:
http://cvs.php.net/viewvc.cgi/pear-core/PEAR.php?r1=1.101&r2=1.102&
Comment 1 Joe Orton 2008-09-05 07:42:04 EDT
Thanks for the report and upstream diff reference!
Comment 6 errata-xmlrpc 2009-05-27 09:47:07 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1071.html

Note You need to log in before you can comment on or make changes to this bug.